#include "opengl.hpp"

#include <iostream>
#include <getopt.h>

#include "game_window.hpp"
#include "options.hpp"

uint64_t optionsFlags;

using namespace std;

int main(int argc, char *argv[]) {

    char c;

    static struct option long_options[] =
        {
          /* These options set a flag. */
//        {"verbose", no_argument,       &verbose_flag, 1},
//        {"brief",   no_argument,       &verbose_flag, 0},
          /* These options don’t set a flag.
             We distinguish them by their indices. */
//        {"add",     no_argument,       0, 'a'},
//        {"append",  no_argument,       0, 'b'},
//        {"delete",  required_argument, 0, 'd'},
//        {"create",  required_argument, 0, 'c'},
          {"fps",     no_argument,       0, 'f'},
          {0, 0, 0, 0}
        };

    int option_index = 0;

    while(1){
        c = getopt_long (argc, argv, "abc:d:f",
                       long_options, &option_index);
        if (c == -1)
            break;

        switch (c)
        {
            case 'f':
                SET_FLAG(SHOW_FPS,true);
                break;
                /*case 'c':
                    cvalue = optarg;
                    break;
                */

            case '?':
                /* getopt_long already printed an error message. */
                break;

            default:
                abort();
        }
    }

    GameWindow window(500, 500);
    window.set_maxfps(60.0);
    window.loop();
    window.stop();
}
